Get Social Cause Campaigns

​

Returns the list of active social cause campaigns created in a business

Headers

  • Used to authorize the request with access_token. It should be supplied as Bearer ACCESS_TOKEN_GOES_HERE.

  • The signature for the API call

  • Advertises which content types the client is able to understand

  • Set this header to application/json.

  • Used to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.

Body

application/json
  • OAuth client ID provided by the business

  • Returns data based on page number filtering

  • Returns data based on per-page filtering

  • Any field that can be used to search any charity with name, city, state, zip code, address, etc.

Responses

  • application/json
Request Example for get/api2/mobile/social_causes
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/social_causes \
  --header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
  --header 'x-pch-digest: {{$$.env.signature}}' \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
  --data '{
  "client": "CLIENT_GOES_HERE",
  "query": "name",
  "page": "",
  "per_page": ""
}'
[
  {
    "social_cause_id": 1,
    "name": "Test Campaign",
    "description": "Test",
    "image_url": "IMAGE_URL_GOES_HERE",
    "tags": [],
    "miscellaneous": "",
    "city": "San Mateo",
    "state": "CA",
    "street": "ADDRESS_GOES_HERE",
    "zip": "94402",
    "phone": "",
    "email": "",
    "address": "ADDRESS_GOES_HERE"
  }
]